<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::StaticGeometry::Region Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#20139173e816c296ab46d0548d1d4902">_getAnimableValueNames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#bc4d3c30d2b50267a348f8d5aee3c5e4">_getCreator</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0c95a392476c6b54be1648a77f2a56c0">_getManager</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab6d217065c5d2968ef0cc2586a0db86">_getParentNodeFullTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#eb13418fe2740ed8ebc52cd9667fca41">_notifyAttached</a>(Node *parent, bool isTagPoint=false)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#06f161ae0451be7eaa67e77c296d5631">_notifyCreator</a>(MovableObjectFactory *fact)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#ac53e78f006299fdd935c4d29ca713fa">_notifyCurrentCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f730ac3ee4a51ee69f4221298f933e8a">_notifyManager</a>(SceneManager *man)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#e307c64b6e130191e45d48df0e2c5961">_notifyMoved</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#53e5a472559dbf0061a69cf38a43f26d">_updateRenderQueue</a>(RenderQueue *queue)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#146b6b8afa6de9a2058f730aa3f7b25c">addQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#dff2fa7a7c56ba06d25d2dfa376fd677">addVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#6855b757e0df1aae6d6b014466d4d25b">AnimableDictionaryMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#cc4f830de60e226fbed772610eea93a4">AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#b322991abdab3980cc714ad01b0e3d88">assign</a>(QueuedSubMesh *qmesh)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#e947cf8b1a8413eb6aac2e2c6a530f54">build</a>(bool stencilShadows)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#83629c5c4708cebd10c358a4be0722f5">createAnimableDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#b2cfac9af1b0d71c780ec969166b3585">createAnimableValue</a>(const String &amp;valueName)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#82d78631c499681df01e340fda08481f">dump</a>(std::ofstream &amp;of) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#136dfd54b581a6dc58a1796a1cdf6cdc">extrudeBounds</a>(AxisAlignedBox &amp;box, const Vector4 &amp;lightPos, Real extrudeDist) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#cae2215c051989d544f34083a0a9bfa2">extrudeVertices</a>(const HardwareVertexBufferSharedPtr &amp;vertexBuffer, size_t originalVertexCount, const Vector4 &amp;lightPos, Real extrudeDist)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#396374525d65e0db10c7f7f8d380744a">generateShadowVolume</a>(EdgeData *edgeData, const HardwareIndexBufferSharedPtr &amp;indexBuffer, const Light *light, ShadowRenderableList &amp;shadowRenderables, unsigned long flags)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#7748b5ea03ba5eb10fdd79e455f96443">getAnimableDictionaryName</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#4239d192b2b08c4970dfaa22ce5a0cd0">getAnimableValueNames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#0a8710d40823897efd2b82e083c81884">getBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#e0c4997e9f309483d0149cd6403f0422">getBoundingRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#70bca10cdeac93142d9f93ed0cf9c4c5">getCastShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#ae372a915c5f4440504c0928126a0588">getCentre</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f06612d0607ebcf1bf5eb817c3038d52">getDarkCapBounds</a>(const Light &amp;light, Real dirLightExtrusionDist) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#01f48775e48b672d7796311f3ffe2930">getDefaultQueryFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2eb94fea5944cf0d33702a75cfa14a74">getDefaultVisibilityFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#111ad7217f020df5a38f8d218b7803c0">getEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#233233e14ccb869b6cafd655880355df">getExtrusionDistance</a>(const Vector3 &amp;objectPos, const Light *light) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#32defbdc3826482b322f0d5acc9e1b38">getID</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f061175eb50a6aa98599ce0a748204b5">getLightCapBounds</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#df305fd600ec68543ed68e0c0cef6196">getListener</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#5c5bcd0100aaeedc394506b60b5600b8">getLODIterator</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#5ccb011f92474ff8575b85d8c52c51cd">getMovableType</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2c681d880b842c1b6d2c2b30b72b6660">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#612b5be632834714195d8d0339fa8fc1">getParent</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#7be6f35f90943c6bca0b4511e1d266d8">getParentNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0c705ecac4263b65a1b8611eeb24c39a">getParentSceneNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#bb13b8e1b52d9dca9f5190f718686a5e">getPointExtrusionDistance</a>(const Light *l) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5c40b9b7d9f3231f9ba16a3514f7495a">getQueryFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#97501f320f00fb5255d76fe3b20903d2">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#12ca5ddb4ca9e77612b6e8a10e4f3d70">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#c0d6ab629e47ee3bb10f87f65930c885">getShadowVolumeRenderableIterator</a>(ShadowTechnique shadowTechnique, const Light *light, HardwareIndexBufferSharedPtr *indexBuffer, bool extrudeVertices, Real extrusionDistance, unsigned long flags=0)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#f8a4495e56e9df43e1264605dc7b6424">getTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#70a42d28867f1559f1bd71baf31f83e4">getUserAny</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#db62f2cc2aebbbba65472344cb799dd4">getUserObject</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5ca10844726d16c8ed47395a6b22d33a">getVisibilityFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#dbc3ce687f4def00d70f15dc0a2330ea">getVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#cc31c877990c3c231c4b4cfb0522bef8">getWorldBoundingBox</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2f6db9f0db4038e6544d703a9f3bcf53">getWorldBoundingSphere</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#5ff65b3d2928d260e96535cff3ce2ffb">hasEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#80abf1736a4241c432b30d2073c7a263">initialiseAnimableDictionary</a>(StringVector &amp;) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d2c50ff1546dfac42f0751aa1bb54ff3">isAttached</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#605cb18ec6d5971e19491ec71c89afeb">isInScene</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#84fb2cc526633ef8c7955d19b2fe8dc9">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#5249ca40ad17fae7ce97c26dd3bf3f00">LODBucketList</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#75f120bb28afd724d9c6284d7c8f5a42">LODIterator</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#0bce41bf7680554b27b1450c2d5f6594">mAABB</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#1f6c5390b42b10e00d3b21b8911aa3f4">mBeyondFarDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#fbfd1ae5118fcd72eaa9d633d1f5b396">mBoundingRadius</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#dfe74e2576441cd26f6d911fca61ff7e">mCamDistanceSquared</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d21e8a5a6f0eeeefa3ec698781eaa3fa">mCastShadows</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#567eff7b26df31dcf340aa010e4da327">mCentre</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#884d3c2c8c8d8305f59eb171a7f56e56">mCreator</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#172e92a82c5019f15537082198cc0c1a">mCurrentLod</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#fc95c6abf02f600a6e1a00ee70174ef0">mEdgeList</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#b16003fcacb17f240dcdaeac71d506b0">mLightList</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#5737854de590e59b6099aa0c5f3d5f38">mLightListUpdated</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#07fdbfc4ae0adb48f7619c0a44bd3890">mListener</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#3bb086965df6abd3fc1725544130b317">mLodBucketList</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#d188f66563423273822623ffc0d51d3e">mLodSquaredDistances</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5c05f316d061761a08fc036daedd0649">mManager</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#41954f454246b2935cdc90ab2f36dab8">mName</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#50e4fe72baa5e986acfe6b9f05b7c917">mNode</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#14cee569be7975c5fb0be006a294eee8">MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#4289fbdfe280c454f62f0f780d734817">MovableObject</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#5e91f7c10b8ea77e37273e9c0027016c">mParent</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9f9b9e6981ef7ebbd6b9d82e93a2b299">mParentIsTagPoint</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#961db9b5f439708e0f24cb8dbeb9c728">mParentNode</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#df36b5bfcc9bce768bc5f8a9ed6b1464">mQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#97f9f72fedff666f236c3bd3de68c163">mQueuedSubMeshes</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#92c38ef30f949ccbee8a4b9c2199d598">mRegionID</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d1291c87111d8944b2c49904a4d6280b">mRenderingDisabled</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a63b5c1cf9746a4caeb2a47a6bc1d2d6">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2051828f33ea6c921e2979c8f00daa3f">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#1e2b199b8a10c3753ebeecc8fa773620">msAnimableDictionary</a></td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#578512e4c8934f96efe75a5ea9a50cca">mSceneMgr</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#deb3bbe50c1b6e92061461b363fc391e">msDefaultQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#24f37de53688fc5432d50c7ced03bd63">msDefaultVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#991eab2b9b8ae190979a4ee5cb92ab95">mShadowRenderables</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2635aafd01416e5a3346a647c2dfff52">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0df899bfb650d8d51be51fa5f83743f4">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#55581f086c6b7f68b080de187d1790fb">mUserAny</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#2a4e65b10c6f3776c201a17a72015fa5">mVertexProgramInUse</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#6db376fe4c048714224392901c98c3a5">mVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#8e7fa9ec69253b42ff4e7605b54e1a00">mVisible</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#665c171729e2f37b66f73d0e6722ac2c">mWorldAABB</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#271b08ae4cc604657c17125f76ec62e0">mWorldBoundingSphere</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#00a9705c083b9fef8bbe762a5b1711a8">mWorldDarkCapBounds</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2d4c926ce07f3a1cb0e59d9d60aac76b">queryLights</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#bd72255868d829277f699da13977a492">Region</a>(StaticGeometry *parent, const String &amp;name, SceneManager *mgr, uint32 regionID, const Vector3 &amp;centre)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#871eed360bcbf391459316ffbcda0651">removeQueryFlags</a>(unsigned long flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#b7bebfd93631ffe82f95ad7c73b77e24">removeVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#cbfc4840224e8b6ed6e27849d3341675">setCastShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d8db1f22329b2a96f2aed7260d565944">setDefaultQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#c2904cb122ab8c8d5066abefb29dfa96">setDefaultVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9efbb3928b834d4f125303698034951e">setListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a202386b8336ed756c3bd1ff5a74f54d">setQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#3774342d37fb670430d834aa914a3be5">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#c5e898937867475e52d350d1f4d75e32">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#b07068e26732de24aaf24330e9d0ec81">setUserAny</a>(const Any &amp;anything)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#19cb3e66484a172e05c336737b713400">setUserObject</a>(UserDefinedObject *obj)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9421323e0ef6082d8a293aef0ba4666d">setVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#8b0ab29b6a7e94169e2b3fde0be7cf10">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#c7b3777c0e3521c021ec3a1c2c444039">ShadowRenderableList</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#7b0999d33e25db97d0449d6cf95cbecd">ShadowRenderableListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#c9a881430ec7769923f63f6df4b93d33">updateEdgeListLightFacing</a>(EdgeData *edgeData, const Vector4 &amp;lightPos)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#c61ca9c912e6b00bbe4fdd9ee0e56079">~AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#1157924b0023b8d6e126723d27bd3774">~MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#df30552488beaa24e774924699c7a131">~Region</a>()</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Ogre::StaticGeometry::Region</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a09c6e22f9879c123355bca19c1b7131">~ShadowCaster</a>()</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:13 2008
</p>
</body>
</html>
